Subject: bug#78343: closed (Re: bug#78343: Org mode Sort region/ children sort order has changed)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 11 May 2025 04:54:02 +0000

Your bug report

#78343: Org mode Sort region/ children sort order has changed

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78343: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78343
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78343: Org mode Sort region/ children sort order has changed
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 11 May 2025 07:53:44 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: [email-masked]
> Date: Sun, 11 May 2025 01:22:05 +0200
> 
> 
> Sorry about that.
> I have posted to the org-mode address.

Thanks, I'm therefore closing this bug.  We can reopen if the Org
developers tell this is a core Emacs bug and provide more data to
explain that.

Subject: Org mode Sort region/ children sort order has changed
From: [email-masked]
To: [email-masked]
Date: Fri, 9 May 2025 14:30:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

In my org file I declare:

#+PRIORITIES: 0 9 9

Say I have a list of sub-headings under a parent heading:

TODO [#0] Bob
TODO Tim
TODO [#1] Percival

I was until recently using emacs 26.1 with org mode 9.1.9.

If I did a Sort region/ children C-c ^ [p]riority on the parent heading I would get:

TODO [#0] Bob
TODO [#1] Percival
TODO Tim

Which is what I want.

Now I am using the same file in emacs 29.4 with org mode 9.6.15 and the same sort command gives:

TODO Tim
TODO [#0] Bob
TODO [#1] Percival

Which is not what I want and I believe is not how things should work.

I posted about this a while back at

https://emacs.stackexchange.com/questions/82838/org-mode-sort-region-children-sort-order-has-changed

and this behaviour was reproduced by someone else and they suggested I report this as a bug.

Thanks and regards.